import { FetchRetryOptions, RetryOptions } from "@trigger.dev/core/v3";
export type { RetryOptions };
declare function onThrow<T>(fn: (options: {
    attempt: number;
    maxAttempts: number;
}) => Promise<T>, options: RetryOptions): Promise<T>;
export interface RetryFetchRequestInit extends RequestInit {
    retry?: FetchRetryOptions;
    timeoutInMs?: number;
}
declare function retryFetch(input: RequestInfo | URL, init?: RetryFetchRequestInit | undefined): Promise<Response>;
export declare const retry: {
    onThrow: typeof onThrow;
    fetch: typeof retryFetch;
};
